Bug 165248 - [PATCH] [MAINTAINER] Repocopy (rename) and update to x11-wm/scrotwm
Summary: [PATCH] [MAINTAINER] Repocopy (rename) and update to x11-wm/scrotwm
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Eitan Adler
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2012-02-17 19:00 UTC by Niclas Zeising
Modified: 2012-03-06 03:34 UTC (History)
0 users

See Also:


Attachments
x11-wm.scrotwm.rename.update.1.0.0.diff (7.44 KB, patch)
2012-02-17 19:00 UTC, Niclas Zeising
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Niclas Zeising 2012-02-17 19:00:23 UTC
	x11-wm/scrotwm has been renamed to spectrwm, and therefore a repo copy from x11-wm/scrotwm to x11-wm/spectrwm is needed.
	The attached patch contains an MOVED entry for this, as well as an update to the port to be applied after the repo copy.  Since I don't know exactly how to make patches in the case of repo copies, the patch is made against x11-wm/scrotwm, instead of the new x11-wm/spectrwm.  If this is wrong, let me know and I'll reroll the patch.
Comment 1 Edwin Groothuis freebsd_committer 2012-02-17 19:00:35 UTC
Responsible Changed
From-To: freebsd-ports-bugs->eadler

eadler@ wants his PRs (via the GNATS Auto Assign Tool)
Comment 2 Eitan Adler freebsd_committer freebsd_triage 2012-02-17 22:35:10 UTC
Responsible Changed
From-To: eadler->portmgr

per request; once the repocopy is done I'll handle the rest
Comment 3 Philip M. Gollucci freebsd_committer 2012-02-27 19:10:19 UTC
State Changed
From-To: open->repocopy

fix synopsis 
open->repocopy
Comment 4 Joe Marcus Clarke freebsd_committer 2012-03-04 23:31:42 UTC
State Changed
From-To: repocopy->open

Repocopy complete. 


Comment 5 Joe Marcus Clarke freebsd_committer 2012-03-04 23:31:42 UTC
Responsible Changed
From-To: portmgr->pgollucci

Repocopy complete.
Comment 6 Philip M. Gollucci freebsd_committer 2012-03-05 19:16:41 UTC
Responsible Changed
From-To: pgollucci->eadler

Over to maintainer
Comment 7 dfilter service freebsd_committer 2012-03-06 03:21:06 UTC
eadler      2012-03-06 03:20:52 UTC

  FreeBSD ports repository

  Modified files:
    .                    MOVED 
    x11-wm               Makefile 
    x11-wm/spectrwm/files spawn_menu_atbottom.patch startscrotwm 
  Removed files:
    x11-wm/scrotwm       Makefile distinfo pkg-descr pkg-plist 
    x11-wm/scrotwm/files spawn_menu_atbottom.patch startscrotwm 
  Log:
  - scrotwm has been renamed to spectrwm
  - update to 1.0.0
  
  PR:             ports/165248
  Submitted by:   Niclas Zeising <zeising@daemonic.se> (maintainer)
  Reviewed by:    pgollucci
  
  Revision  Changes    Path
  1.2790    +2 -1      ports/MOVED
  1.275     +1 -1      ports/x11-wm/Makefile
  1.16      +0 -68     ports/x11-wm/scrotwm/Makefile (dead)
  1.14      +0 -2      ports/x11-wm/scrotwm/distinfo (dead)
  1.6       +0 -23     ports/x11-wm/scrotwm/files/spawn_menu_atbottom.patch (dead)
  1.2       +0 -10     ports/x11-wm/scrotwm/files/startscrotwm (dead)
  1.3       +0 -14     ports/x11-wm/scrotwm/pkg-descr (dead)
  1.4       +0 -7      ports/x11-wm/scrotwm/pkg-plist (dead)
  1.6       +3 -3      ports/x11-wm/spectrwm/files/spawn_menu_atbottom.patch
  1.2       +0 -10     ports/x11-wm/spectrwm/files/startscrotwm
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 8 Eitan Adler freebsd_committer freebsd_triage 2012-03-06 03:34:50 UTC
State Changed
From-To: open->closed

Committed. Thanks!